package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.bean.dto.BasicPrintConfigDto;
import com.qmth.teachcloud.common.entity.BasicPrintConfig;
import com.sun.org.apache.xpath.internal.operations.Bool;

/**
 * <p>
 * 印品配置 服务类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface BasicPrintConfigService extends IService<BasicPrintConfig> {
    IPage<BasicPrintConfigDto> listPage(Long examId, Boolean enable, Long createStartTime, Long createEndTime, Integer pageNumber, Integer pageSize);

    boolean enable(Long id, Boolean enable);

    boolean savePrintConfig(BasicPrintConfig basicPrintConfig);
}
